Added build_tools folder so we can automate release builds

This commit is contained in:
ridiculousfish 2012-05-10 02:11:28 -07:00
parent 070b10689c
commit b0f4ff2879
4 changed files with 77 additions and 0 deletions

17
build_tools/make_pkg.sh Executable file
View File

@ -0,0 +1,17 @@
#!/bin/sh -x
rm -rf /tmp/fish_pkg
mkdir -p /tmp/fish_pkg/
if make install prefix=/tmp/fish_pkg/usr/local/
then
echo "Root written to /tmp/fish_pkg/"
if pkgbuild --identifier com.ridiculousfish.fish-shell --scripts build_tools/osx_package_scripts/ --root /tmp/fish_pkg/ ~/fish_installer.pkg
then
echo "Package written to ~/fish_installer.pkg"
else
echo "Package could not be written"
fi
else
echo "Root could not be written"
fi

9
build_tools/make_tarball.sh Executable file
View File

@ -0,0 +1,9 @@
#!/bin/sh
rm -f /tmp/fish_fish.tar /tmp/fish_fish.tar.gz
if git archive --format=tar fish_fish | gzip - > /tmp/fish_fish.tar
then
echo "Tarball written to /tmp/fish_fish.tar.gz"
else
echo "Tarball could not be written"
fi

View File

@ -0,0 +1,48 @@
#!/bin/sh -e
# Modified from Debian's add-shell to work on OS X
if test $# -eq 0
then
echo usage: $0 shellname [shellname ...]
exit 1
fi
scriptname=`basename "$0"`
if [[ $UID -ne 0 ]]; then
echo "${scriptname} must be run as root"
exit 1
fi
file=/etc/shells
# I want this to be GUARANTEED to be on the same filesystem as $file
tmpfile=${file}.tmp
set -o noclobber
trap "rm -f $tmpfile" EXIT
if ! cat $file > $tmpfile
then
cat 1>&2 <<EOF
Either another instance of $0 is running, or it was previously interrupted.
Please examine ${tmpfile} to see if it should be moved onto ${file}.
EOF
exit 1
fi
for i
do
if ! grep -q "^${i}$" $tmpfile
then
echo $i >> $tmpfile
fi
done
chmod 0644 $tmpfile
chown root:wheel $tmpfile
mv $tmpfile $file
trap "" EXIT
exit 0

View File

@ -0,0 +1,3 @@
#!/bin/sh -x
./add-shell /usr/local/bin/fish > /tmp/fish_postinstall_output.log